# $Revision: 1.86 $, $Date: 2006/09/09 01:25:35 $
#
# Conditional build
%bcond_with	crypt	# build with crypted passwords support
#
Summary:	Internet Relay Chat Server
Summary(pl):	Serwer IRC (Internet Relay Chat)
Name:		ircd
Version:	2.11.1p1
Release:	3
License:	GPL
Group:		Daemons
Source0:	ftp://ftp.irc.org/irc/server/irc%{version}.tgz
# Source0-md5:	c5a2b3097a5fbeb91b39412730b02ab5
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Source3:	%{name}.logrotate
Source4:	%{name}.conf
Source5:	%{name}.motd
Patch0:		%{name}-linux.patch
Patch1:		%{name}-conf_delimiter_4_easy_upgrade.patch
Patch2:		%{name}-config.patch
Patch3:		%{name}-crypt.patch
URL:		http://www.irc.org/
#BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	group(ircd)
Provides:	user(ircd)
Obsoletes:	bircd
Obsoletes:	ircd-hybrid
Obsoletes:	ircd-ptlink
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}
%define		_localstatedir	/var/lib/%{name}

%description
Ircd is the server (daemon) program for the Internet Relay Chat
Program. There is also version with IPv6 support enclosed.

%description -l pl
Ircd jest serwerem usugi IRC (Internet Relay Chat Program). Zaczona
jest take wersja obsugujca IPv6.

%prep
%setup -q -n irc%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%{?with_crypt:%patch3 -p1}

%build
cp -f /usr/share/automake/config.* support
cp -f %{SOURCE5} support

mdir=$(pwd)
mkdir .ircd6
cp -a * .ircd6

cd .ircd6
# cannot regenerate, so use workaround
export ac_cv_lib_nsl_socket=no
%configure2_13 \
	--with-logdir=%{_var}/log/%{name} \
	--with-rundir=%{_var}/lib/%{name} \
	--enable-dsm \
	--with-zlib \
	--enable-ip6

cd "`support/config.guess`"
%{__make} all

cd $mdir

# cannot regenerate, so use workaround
export ac_cv_lib_nsl_socket=no
%configure2_13 \
	--with-logdir=%{_var}/log/%{name} \
	--with-rundir=%{_var}/lib/%{name} \
	--enable-dsm \
	--with-zlib

cd "`support/config.guess`"
%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
tdir=$(support/config.guess)

rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_var}/log/{,archiv/}ircd,%{_libdir}/ircd,%{_sbindir},%{_mandir}/man{1,3,5,8}} \
	$RPM_BUILD_ROOT{%{_sysconfdir},/etc/{rc.d/init.d,sysconfig,logrotate.d}} \
	$RPM_BUILD_ROOT%{_localstatedir}
cd $tdir

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	client_man_dir=$RPM_BUILD_ROOT%{_mandir}/man1 \
	conf_man_dir=$RPM_BUILD_ROOT%{_mandir}/man5 \
	server_man_dir=$RPM_BUILD_ROOT%{_mandir}/man8

cd ..
for f in chkconf iauth ircd ircd-mkpasswd ircdwatch; do
	install .ircd6/${tdir}/${f} $RPM_BUILD_ROOT%{_sbindir}/${f}6
done

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/{iauth,ircd}.conf.example
touch $RPM_BUILD_ROOT%{_localstatedir}/ircd.{pid,tune}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -f -g 75 ircd
%useradd -g ircd -d /etc/%{name} -u 75 -s /bin/true -c "IRC Service account" ircd

%post
/sbin/chkconfig --add ircd
%service ircd restart "IRC daemon"
touch /var/log/ircd/ircd.{auth,opers,rejects,users,log}
chmod 640 /var/log/ircd/*
chown ircd:ircd /var/log/ircd/*

%preun
if [ "$1" = "0" ]; then
	%service ircd stop
	/sbin/chkconfig --del ircd
fi

%postun
if [ "$1" = "0" ]; then
	%userremove ircd
	%groupremove ircd
fi

%triggerpostun -- %{name} < 2.11.0
if [ -f %{_sysconfdir}/ircd.conf ]; then
	echo "Saving old configuration as %{_sysconfdir}/ircd.conf.rpmsave"
	cp -f %{_sysconfdir}/ircd.conf %{_sysconfdir}/ircd.conf.rpmsave
	echo "Adjusting configuration for ircd 2.11"
	sed -i -e '{ /^M%/s/$/%000A/; /^[iI]%/s/$/%/g; /^[oO]%/s/$/%/g; }' %{_sysconfdir}/ircd.conf

	# we have to do part of %post here to have ircd working after upgrade from 2.10.x to 2.11.x
	%service -q ircd restart
fi

%files
%defattr(644,root,root,755)
%doc doc/{2.11-New,2.10-New,2.9-New,Authors,ChangeLog,Etiquette,SERVICE.txt,m4macros}
%doc doc/{*.conf.example,rfc*.txt,README,RELEASE_{LOG,NOTES},stats.txt,ISO-3166-1}
%attr(755,root,root) %{_sbindir}/*
%attr(770,root,ircd) %dir %{_var}/log/ircd
%attr(770,root,ircd) %dir %{_var}/log/archiv/ircd
%attr(770,root,ircd) %dir %{_localstatedir}
%attr(640,ircd,ircd) %ghost %{_localstatedir}/ircd.pid
%attr(640,ircd,ircd) %ghost %{_localstatedir}/ircd.tune
%attr(750,root,ircd) %dir %{_sysconfdir}
%attr(660,root,ircd) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ircd.conf
%attr(660,root,ircd) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/iauth.conf
%attr(664,root,ircd) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ircd.motd
%attr(664,root,ircd) %{_sysconfdir}/ircd.m4
%{_mandir}/man*/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ircd.spec,v $
Revision 1.86  2006/09/09 01:25:35  glen
- rel 3 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.85  2006/07/26 15:48:06  glen
- remove extra unneeded slash

Revision 1.84  2006/04/14 15:07:36  glen
- rel 2

Revision 1.83  2006/03/02 23:01:11  glen
- use %service and adapterize

Revision 1.82  2006/02/28 23:53:22  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.81  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.80  2005/07/28 13:27:48  hawk
- updated to 2.11.1p1

Revision 1.79  2005/05/21 11:31:33  hawk
- updated to 2.11.1
- fixed path for .pid and .tune files (/var/lib/ircd/run -> /var/lib/ircd)

Revision 1.78  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.77  2004/12/25 23:07:54  qboosh
- verify() tags for config files

Revision 1.76  2004/12/25 17:51:58  hawk
- added triggerpostun to make necessary configuration changes while
  upgrading from 2.10.x to 2.11.x
- overwriting ircd.motd during upgrade is bad idea, it is now SOURCE5
  packaged with %config(noreplace)
- works for me, release 1, STBR

Revision 1.75  2004/12/21 08:43:17  hawk
- merged DEVEL, updated to final 2.11.0, NFY

Revision 1.74  2004/10/14 14:48:10  hawk
- restored autoconnect patch (its bugfix)
- restored crypt bcond (its needed or /oper command will not work with
  default configuration)
- restored ircd.conf source (without this no one will be able to connect
  to ircd with default configuration)
- removed obsolete irc client again (first: this is irc server, not irc
  client package, second: it was last updated on 27 february 2001 so
  _its obsolete_)

Revision 1.73  2004/10/14 09:10:38  gotar
- reverted bogus rev. 1.71 changes (removing IPv4 server)

Revision 1.72  2004/10/11 22:59:30  ankry
- spaces -> tabs

Revision 1.71  2004/10/11 20:53:48  hawk
- don't build ipv4-only version, its has no sense, IPv6 enabled version is
  handling ipv4 connections properly
- build only server, who needs this crapy outdated client?
- added patch for server autoconnect
- disabled crypted passwords by default, its now bcond
- use some basic ircd.conf instead of example.conf as default server
  config (with example.conf, users can't even connect to server)
- release 4, STBR

Revision 1.70  2004/08/25 04:43:49  ankry
- rel. 3

Revision 1.69  2004/08/20 21:33:11  ankry
- use %userremove/%groupremove, some cosmetics

Revision 1.68  2004/08/08 15:54:30  ankry
- {group,user}{add,del} do not belong to this package - don't use this
  pakage %{_sbindir} for them

Revision 1.67  2004/08/02 21:14:34  hawk
- obsoletes ircd-ptlink, bircd
- release 2

Revision 1.66  2004/05/30 21:50:13  qboosh
- from Marcin Krol:
  - updated to 2.10.3p7
  - removed bcond for HM2 (buggy patch)
  - replaced hoop3 with newer and better hemp2+DK+B5
  - updated/adjusted config patch

Revision 1.65  2004/04/18 15:09:15  gotar
- fixed %desc

Revision 1.64  2004/04/18 12:32:08  arekm
- better names

Revision 1.63  2004/04/18 12:15:42  arekm
- reenable ipv6; disable gotar - he is seriously broken

Revision 1.62  2004/04/18 12:11:03  gotar
- use the same config file delimiter with and without IPv6

Revision 1.61  2004/04/18 08:42:08  gotar
- disabled broken IPv6 by default, release 3, STBR for Ac.

Revision 1.60  2004/04/18 00:01:17  gotar
- added %{_var}/log/archiv/ircd directory, release 2

Revision 1.59  2004/03/30 20:30:59  qboosh
- updated to 2.10.3p6
- updated hoop3 patch, removed obsolete m_join patch
- new-style bconds, killed -lnsl, marked configs as configs
- added ac-workaround patch - builds now, untested

Revision 1.58  2003/11/26 14:20:55  djrzulf
- fixed install,

Revision 1.57  2003/10/16 21:14:50  blues
- release 4 - backported security patch from RA-branch (sic!!!).

Revision 1.56  2003/10/16 21:10:27  blues
- cosmetics

Revision 1.55  2003/09/09 10:24:21  ankry
- spaces -> tab

Revision 1.54  2003/08/04 11:35:58  qboosh
- use SUSv2-compliant chown syntax (user:group) instead of deprecated

Revision 1.53  2003/06/20 13:21:57  adamg
- fixed addresses in motd

Revision 1.52  2003/06/02 05:58:10  gotar
- bcond unification: s/_without_ip6/_without_ipv6/

Revision 1.51  2003/05/28 12:59:11  malekith
- massive attack: source-md5

Revision 1.50  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.49  2002/08/17 21:01:35  qboosh
- better messages in pre, added Requires(), release 3

Revision 1.48  2002/06/12 18:56:27  kloczek
- adapterized.

Revision 1.47  2002/06/12 00:59:20  baseciq
- added hoop3
- rel.2

Revision 1.46  2002/06/12 00:20:43  baseciq
- added ircd.logrotate
- bcond without ip6
- new %doc
- fixed %post
- added logs to %post
- more docs
- cosmetics

Revision 1.45  2002/06/10 19:28:13  baseciq
- cosmetics

Revision 1.44  2002/06/10 18:39:54  wojrus
- added hawkmod patch
- cosmetics

Revision 1.43  2002/06/10 14:13:16  djrzulf
- cosmetics,

Revision 1.42  2002/06/09 20:50:04  djrzulf
- moved chrooted ircd to DEVEL branch, this ircd comiling fine i think there're
  some problels with config.h,

Revision 1.34  2002/05/01 21:56:48  wojrus
- cosmetics

Revision 1.33  2002/04/27 15:29:13  wojrus
- write access to config files for group

Revision 1.32  2002/04/27 13:24:19  wojrus
- new version. (2.10.3)

Revision 1.31  2002/04/25 16:37:32  arturs
fixed a small typo

Revision 1.30  2002/04/24 06:49:14  marcus
- rel.2.

Revision 1.29  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.28  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/01/18 02:13:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2001/10/21 06:08:53  orzech
- update to 2.10.3p3 (bugfixes and speedups), NFY

Revision 1.25  2001/10/06 18:17:44  qboosh
- BuildRequires: autoconf
- changed "pld-list" to "feedback" in motd

Revision 1.24  2001/10/06 13:11:27  blues
- URL updated
- cosmetics

Revision 1.23  2001/07/26 05:42:09  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.21  2001/05/30 14:08:46  blues
- added sysconfig-file
- modified init-file. Now it checks if daemon is started.
- modified way of making ircd user and group (apache-like)
- few cosmetics
STBR

Revision 1.20  2001/05/23 02:14:54  qboosh
- use %rpmldflags

Revision 1.19  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.18  2000/12/09 17:55:14  jajcus
- file owners fixed (semi-automatically)
  (no special user (like http/news) should own his home directory nor
  files it doesn't create)

Revision 1.17  2000/08/24 17:21:22  zagrodzki
- updated to 2.10.3p1
- localstatedir -> /var/lib/ircd
- added some files
- removed INSTALL.gz
- --with-zlib is the default, when zlib-devel is installed

Revision 1.16  2000/08/23 20:50:04  zagrodzki
- converted remaining %{_sysconfdir}/%{name}

Revision 1.15  2000/08/23 20:46:12  zagrodzki
- added missing %define
- adapterized

Revision 1.14  2000/08/23 20:45:16  zagrodzki
- release 4
- no_libnsl patch
- partly rewritten (more macros, -with-zlib is the default...)

Revision 1.13  2000/08/02 18:10:48  mis
- repaired what I corrupted: back to useradd without -m (this copies /etc/skel)

Revision 1.12  2000/07/31 12:03:39  mis
- added -m to useradd to allow it create $HOME for added user(s)

Revision 1.11  2000/06/09 07:23:03  kloczek
- added using %{__make} macro.

Revision 1.10  2000/04/01 11:14:46  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.8  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.7  1999/12/25 23:43:25  alchemyx
- removed -M option from useradd

Revision 1.6  1999/09/11 13:47:16  misiek
- fixed requires (PR#39)

Revision 1.5  1999/09/09 13:15:36  misiek
- updated to 2.10.3

Revision 1.4  1999/08/02 10:11:30  misiek
update/new specs
